Loading...
Searching...
No Matches
intersection.hh File Reference

Model of the Intersection concept provided by GridGlue. More...

`#include <algorithm>`
`#include <optional>`
`#include <tuple>`
`#include <dune/common/deprecated.hh>`
`#include <dune/common/version.hh>`
`#include <dune/geometry/affinegeometry.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/grid-glue/gridglue.hh>`

Go to the source code of this file.

## Classes

class | Dune::GridGlue::IntersectionData< P0, P1 >
| storage class for Dune::GridGlue::Intersection related data More...
struct | Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >
class | Dune::GridGlue::Intersection< P0, P1, I, O >
| The intersection of two entities of the two patches of a GridGlue. More...

## Namespaces

namespace | Dune
namespace | Dune::GridGlue

## Macros

#define | ONLY_SIMPLEX_INTERSECTIONS

## Detailed Description

Model of the Intersection concept provided by GridGlue.

Author
  Christian Engwer

## Macro Definition Documentation

## ONLY_SIMPLEX_INTERSECTIONS

#define ONLY_SIMPLEX_INTERSECTIONS